function OnWarpEnter() 
	SetMarker("cs\\Warp_0220.wp" , 0 , 0) 

	ImportAnimationWarp("3D\\cs\\Warp_0019")

	-- bougie chevet
	StartAnimation("cian")
	-- feu cheminée
	StartAnimationPart("cfa1",60,90,-1,false)

	if ETAT_DAY == "D3" then 
		AnimationSetToStart("cdan")
		if AstrochartTaken and not Aphrodisiac_212 then
			DrawText("Ma2532","Ma2532.ogg",0) -- Et dire que je n'ai pas préparé l'aphrodisiaque pour Constance.
			DrawText("Ma2533","Ma2533.ogg",0) -- Pourvu que je découvre ce qui se passe avant que quelqu'un d'autre ne meure !
		elseif AstrochartTaken and Aphrodisiac_212 then
			DrawText("Ma2531","Ma2531.ogg",0) -- Etrange journée.
			DrawText("Ma2533","Ma2533.ogg",0) -- Pourvu que je découvre ce qui se passe avant que quelqu'un d'autre ne meure !
		end
	end
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)

	if dialogName == "Ma2533" then -- Pourvu que je découvre ce qui se passe avant que quelqu'un d'autre ne meure !
		PlayMovie("Videos/reveBD.ogv", "Videos/J_Dort.ogg")
	end

end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0220.wp" then 
		ChangeWarp(objectName)
	end

end

function OnMovieFinished(name)

	if ETAT_DAY == "D3" then
		if (name == "Videos/reveBD.ogv") then
			PlayMovie("Videos/Reve2.ogv", "Videos/M_Cine008.ogg")
			Music_Change = true
			ETAT_DAY = "D4" 
			DRESS_MONK = false	
			DRESS_MADELEINE = false		
			DRESS_CESAR = true
			KNIFE_ON_WALL_0073_D3 = true
			ChangeWarp("3D\\cs\\Warp_0019.wp")
			SetDiaryPage(16, "Page16")
		end
	end
end
